publish new post + install git lfs

main
Dominic Reich 10 months ago
parent c4cf384f94
commit 66c9419fff
Signed by: dominic
GPG Key ID: BC9D6AE1A3BE169A

5
.gitattributes vendored

@ -0,0 +1,5 @@
content/posts/2023/60-an-overview/git-commits.mp4 filter=lfs diff=lfs merge=lfs -text
content/posts/2023/60-an-overview/git-commits.webm filter=lfs diff=lfs merge=lfs -text
static/files/VARA_components.zip filter=lfs diff=lfs merge=lfs -text
static/files/dmrids_2023-08-12.zip filter=lfs diff=lfs merge=lfs -text
static/files/pdh.dll.zip filter=lfs diff=lfs merge=lfs -text

@ -0,0 +1,3 @@
#!/bin/sh
command -v git-lfs >/dev/null 2>&1 || { echo >&2 "\nThis repository is configured for Git LFS but 'git-lfs' was not found on your path. If you no longer wish to use Git LFS, remove this hook by deleting .git/hooks/post-checkout.\n"; exit 2; }
git lfs post-checkout "$@"

@ -0,0 +1,3 @@
#!/bin/sh
command -v git-lfs >/dev/null 2>&1 || { echo >&2 "\nThis repository is configured for Git LFS but 'git-lfs' was not found on your path. If you no longer wish to use Git LFS, remove this hook by deleting .git/hooks/post-commit.\n"; exit 2; }
git lfs post-commit "$@"

@ -0,0 +1,3 @@
#!/bin/sh
command -v git-lfs >/dev/null 2>&1 || { echo >&2 "\nThis repository is configured for Git LFS but 'git-lfs' was not found on your path. If you no longer wish to use Git LFS, remove this hook by deleting .git/hooks/post-merge.\n"; exit 2; }
git lfs post-merge "$@"

@ -30,6 +30,12 @@ else
exit 1
fi
# git lfs
echo -n ">>> Check for git-lfs..."
command -v git-lfs >/dev/null 2>&1 || { echo >&2 "\nThis repository is configured for Git LFS but 'git-lfs' was not found on your path. If you no longer wish to use Git LFS, remove this hook by deleting .git/hooks/pre-push.\n"; exit 2; }
git lfs pre-push "$@"
echo " Done!"
echo -n ">>> Pushing files to server..."
ret="$(rsync --no-motd -acvhz --stats --del public/ bor:/var/www/sites/oe7drt/ > /dev/null 2>&1)"

Binary file not shown.

After

Width:  |  Height:  |  Size: 1.8 KiB

Binary file not shown.

Binary file not shown.

@ -0,0 +1,20 @@
---
title: An overview
summary: All the git commits made to this website in the year 2023.
date: 2023-12-31T13:09:30+0100
lastmod: 2023-12-31T12:10:33+0000
tags:
- website-news
---
I am currently (back)listening to a bunch of podcasts and [one](https://focusonlinux.podigee.io/70-emacs)
mentioned a nice tool that renders your git activity into a video: [Gource](https://gource.io/).
{{< video "git-commits" >}}
Nice to watch and maye a not-so-bad final post that ends the year 2023. Not that I'd care much about
an ending year, but this really came in accidentally and maybe this is useful for somebody else too.
_All the best for 2024!_
Loading…
Cancel
Save